Create Bulk Revenues
curl --request POST \
--url https://api.royalti.io/revenue/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"revenues": [
{
"title": "<string>",
"amount": 123,
"currency": "<string>",
"source": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"artist": "<string>",
"asset": "<string>",
"product": "<string>",
"splits": [
{}
],
"metadata": {},
"memo": "<string>"
}
]
}
'import requests
url = "https://api.royalti.io/revenue/bulk"
payload = { "revenues": [
{
"title": "<string>",
"amount": 123,
"currency": "<string>",
"source": "<string>",
"transactionDate": "2023-11-07T05:31:56Z",
"artist": "<string>",
"asset": "<string>",
"product": "<string>",
"splits": [{}],
"metadata": {},
"memo": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
revenues: [
{
title: '<string>',
amount: 123,
currency: '<string>',
source: '<string>',
transactionDate: '2023-11-07T05:31:56Z',
artist: '<string>',
asset: '<string>',
product: '<string>',
splits: [{}],
metadata: {},
memo: '<string>'
}
]
})
};
fetch('https://api.royalti.io/revenue/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Bulk revenue creation completed",
"createdRevenues": [
"Revenue One",
"Revenue Two"
],
"processedCount": 3,
"totalAmount": 7500.25,
"errors": [
"Invalid currency for Revenue Three"
]
}{
"status": "error",
"message": "Unauthorized"
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": [
"<string>"
]
}
}Revenue
Create Bulk Revenues
Create Bulk Revenues
POST
/
revenue
/
bulk
Create Bulk Revenues
This endpoint requires authentication. Include your Bearer token in the Authorization header.
Description
Create Bulk Revenues Description: The/revenue/bulk endpoint allows creation of multiple revenue records simultaneously.
Authorization:
- Required role:
adminor higher
POST
Request Payload:
| Parameter | Type | Description |
|---|---|---|
| revenues | array | Array of revenue objects |
Code Examples
const response = await fetch('https://api.royalti.io/revenue/bulk', {
method: 'POST',
headers: {
'Authorization': `Bearer ${token}`,
'Content-Type': 'application/json'
},
body: JSON.stringify({
"revenues": [
{
"title": "sample-title",
"amount": 1,
"currency": "sample-currency",
"source": "sample-source",
"transactionDate": "2024-01-21T12:00:00Z",
"artist": "sample-artist",
"asset": "sample-asset",
"product": "sample-product",
"splits": [
{}
],
"metadata": {},
"memo": "sample-memo"
}
]
})
});
const data = await response.json();
console.log(data);
import requests
response = requests.post(
'https://api.royalti.io/revenue/bulk',
headers={
'Authorization': f'Bearer {token}'
},
json={"revenues":[{"title":"sample-title","amount":1,"currency":"sample-currency","source":"sample-source","transactionDate":"2024-01-21T12:00:00Z","artist":"sample-artist","asset":"sample-asset","product":"sample-product","splits":[{}],"metadata":{},"memo":"sample-memo"}]}
)
data = response.json()
print(data)
curl -X POST https://api.royalti.io/revenue/bulk \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"revenues":[{"title":"sample-title","amount":1,"currency":"sample-currency","source":"sample-source","transactionDate":"2024-01-21T12:00:00Z","artist":"sample-artist","asset":"sample-asset","product":"sample-product","splits":[{}],"metadata":{},"memo":"sample-memo"}]}'
Authorizations
JWT Authorization header using the Bearer scheme. Format: "Bearer {token}"
Body
application/json
Show child attributes
Show child attributes
⌘I